commit:     003b86390961b43e404a282534dbf4cb8b73c3ec
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 13 12:29:58 2018 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Tue Mar 13 12:51:35 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=003b8639

app-text/atril: remove unnecessary := subslot operator on poppler

Per poppler's metadata.xml, the subslot reflects ABI compatibility of
libpoppler.so only, not libpoppler-{glib,qt4,cpp}.so.

Bug: https://bugs.gentoo.org/607908
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-text/atril/atril-1.12.2-r5.ebuild | 2 +-
 app-text/atril/atril-1.14.2-r2.ebuild | 2 +-
 app-text/atril/atril-1.16.1-r2.ebuild | 2 +-
 app-text/atril/atril-1.18.3.ebuild    | 4 ++--
 4 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/app-text/atril/atril-1.12.2-r5.ebuild 
b/app-text/atril/atril-1.12.2-r5.ebuild
index 360dac80db2..582095d7761 100644
--- a/app-text/atril/atril-1.12.2-r5.ebuild
+++ b/app-text/atril/atril-1.12.2-r5.ebuild
@@ -20,7 +20,7 @@ IUSE="caja dbus debug djvu dvi epub +introspection 
gnome-keyring gtk3 +postscrip
 REQUIRED_USE="t1lib? ( dvi )
        !gtk3? ( !epub )" #608604
 
-RDEPEND=">=app-text/poppler-0.16:0=[cairo]
+RDEPEND=">=app-text/poppler-0.16[cairo]
        app-text/rarian:0
        dev-libs/atk:0
        >=dev-libs/glib-2.36:2

diff --git a/app-text/atril/atril-1.14.2-r2.ebuild 
b/app-text/atril/atril-1.14.2-r2.ebuild
index 792c2c2e6a0..d3ef2efb7e2 100644
--- a/app-text/atril/atril-1.14.2-r2.ebuild
+++ b/app-text/atril/atril-1.14.2-r2.ebuild
@@ -20,7 +20,7 @@ IUSE="caja dbus debug djvu dvi epub +introspection 
gnome-keyring gtk3 +postscrip
 REQUIRED_USE="t1lib? ( dvi )
        !gtk3? ( !epub )" #608604
 
-COMMON_DEPEND=">=app-text/poppler-0.16:0=[cairo]
+COMMON_DEPEND=">=app-text/poppler-0.16[cairo]
        dev-libs/atk:0
        >=dev-libs/glib-2.36:2
        >=dev-libs/libxml2-2.5:2

diff --git a/app-text/atril/atril-1.16.1-r2.ebuild 
b/app-text/atril/atril-1.16.1-r2.ebuild
index 24aad9d4f3c..41128c94216 100644
--- a/app-text/atril/atril-1.16.1-r2.ebuild
+++ b/app-text/atril/atril-1.16.1-r2.ebuild
@@ -20,7 +20,7 @@ IUSE="caja dbus debug djvu dvi epub +introspection 
gnome-keyring gtk3 +postscrip
 REQUIRED_USE="t1lib? ( dvi )
        !gtk3? ( !epub )" #608604
 
-COMMON_DEPEND=">=app-text/poppler-0.22:0=[cairo]
+COMMON_DEPEND=">=app-text/poppler-0.22[cairo]
        dev-libs/atk:0
        >=dev-libs/glib-2.36:2
        >=dev-libs/libxml2-2.5:2

diff --git a/app-text/atril/atril-1.18.3.ebuild 
b/app-text/atril/atril-1.18.3.ebuild
index 4769e545a0a..e4db37226f4 100644
--- a/app-text/atril/atril-1.18.3.ebuild
+++ b/app-text/atril/atril-1.18.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -19,7 +19,7 @@ IUSE="caja dbus debug djvu dvi epub +introspection 
gnome-keyring +postscript t1l
 
 REQUIRED_USE="t1lib? ( dvi )"
 
-COMMON_DEPEND=">=app-text/poppler-0.22:0=[cairo]
+COMMON_DEPEND=">=app-text/poppler-0.22[cairo]
        dev-libs/atk:0
        >=dev-libs/glib-2.36:2
        >=dev-libs/libxml2-2.5:2

Reply via email to